org.eclipse.viatra.query.patternlanguage.emf.util

## Class EMFPatternLanguageGeneratorConfig

- java.lang.Object
- - org.eclipse.xtext.xbase.compiler.GeneratorConfig
  - - org.eclipse.viatra.query.patternlanguage.emf.util.EMFPatternLanguageGeneratorConfig

-     public class EMFPatternLanguageGeneratorConfig
      extends org.eclipse.xtext.xbase.compiler.GeneratorConfig

  A generator configuration that stores both Xbase and pattern language specific options
  Since:
    1.7

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EMFPatternLanguageGeneratorConfig.MatcherGenerationStrategy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EMFPatternLanguageGeneratorConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.xbase.compiler.GeneratorConfig` | `copy(org.eclipse.xtext.xbase.compiler.GeneratorConfig other)`
    `EMFPatternLanguageGeneratorConfig.MatcherGenerationStrategy` | `getMatcherGenerationStrategy()`
    `boolean` | `isGenerateExtensions()`
    `boolean` | `isGenerateMatchProcessors()`
    `boolean` | `isUpdateManifest()`
    `void` | `parseBuilderConfigurationPropertiesFile(java.util.Properties vqlCompilerSettings)`
    `void` | `setGenerateExtensions(boolean generateExtensions)`
    `void` | `setGenerateMatchProcessors(boolean generateMatchProcessors)`
    `void` | `setMatcherGenerationStrategy(EMFPatternLanguageGeneratorConfig.MatcherGenerationStrategy matcherGenerationStrategy)`
    `void` | `setUpdateManifest(boolean updateManifest)`

    - ### Methods inherited from class org.eclipse.xtext.xbase.compiler.GeneratorConfig

      `getGeneratedAnnotationComment, getJavaSourceVersion, isGenerateExpressions, isGenerateGeneratedAnnotation, isGenerateSyntheticSuppressWarnings, isIncludeDateInGeneratedAnnotation, setGeneratedAnnotationComment, setGenerateExpressions, setGenerateGeneratedAnnotation, setGenerateSyntheticSuppressWarnings, setIncludeDateInGeneratedAnnotation, setJavaSourceVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EMFPatternLanguageGeneratorConfig

          public EMFPatternLanguageGeneratorConfig()

  - ### Method Detail

    - #### parseBuilderConfigurationPropertiesFile

          public void parseBuilderConfigurationPropertiesFile(java.util.Properties vqlCompilerSettings)

    - #### copy

          public org.eclipse.xtext.xbase.compiler.GeneratorConfig copy(org.eclipse.xtext.xbase.compiler.GeneratorConfig other)

      Overrides:
        `copy` in class `org.eclipse.xtext.xbase.compiler.GeneratorConfig`

    - #### isGenerateMatchProcessors

          @Pure
          public boolean isGenerateMatchProcessors()

    - #### setGenerateMatchProcessors

          public void setGenerateMatchProcessors(boolean generateMatchProcessors)

    - #### getMatcherGenerationStrategy

          @Pure
          public EMFPatternLanguageGeneratorConfig.MatcherGenerationStrategy getMatcherGenerationStrategy()

    - #### setMatcherGenerationStrategy

          public void setMatcherGenerationStrategy(EMFPatternLanguageGeneratorConfig.MatcherGenerationStrategy matcherGenerationStrategy)

    - #### isUpdateManifest

          @Pure
          public boolean isUpdateManifest()

    - #### setUpdateManifest

          public void setUpdateManifest(boolean updateManifest)

    - #### isGenerateExtensions

          @Pure
          public boolean isGenerateExtensions()

    - #### setGenerateExtensions

          public void setGenerateExtensions(boolean generateExtensions)